<?php

    // By Seyed AmirHossein Tavousi./AmirMarket
    class PDF {
      public function Make($HTML,$EXIT_NAME,$SetTitle,$SetSubject,$SetKeywords) {
		  
        require_once('tcpdf.php');

        $pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
        $pdf->SetCreator(PDF_CREATOR);
        $pdf->SetAuthor('فروشگاه امیر');
        $pdf->SetTitle($SetTitle);
        $pdf->SetSubject($SetSubject);
        $pdf->SetKeywords($SetKeywords);

        $pdf->SetHeaderData('tools/pdf.logo.png', '60');
        $pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
        $pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));
        $pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);
        $pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
        $pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
        $pdf->SetFooterMargin(PDF_MARGIN_FOOTER);
        $pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
        $pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);
        $lg = Array();
        $lg['a_meta_charset'] = 'UTF-8';
        $lg['a_meta_dir'] = 'rtl';
        $lg['a_meta_language'] = 'fa';
        $lg['w_page'] = 'Page';
        $pdf->setLanguageArray($lg);
        $pdf->SetFont('dejavusans', '', 8);
        $pdf->AddPage();
        $pdf->WriteHTML($HTML, true, 0, true, 0);
        $pdf->Output($EXIT_NAME.'.pdf', 'I');

      }
    }

?>